﻿@model DataAccess.Model.Test

@{Html.RenderAction("SidemenuTestSubmit", "Menu");}

<div class="dashboard-wrapper">
    <div class="container-fluid dashboard-content">
        <div class="card">
            <div class="card-header">
                @ViewBag.Nazev
                <p><b>Získali jste @ViewBag.Score bodů z @ViewBag.MaxScore bodů </b></p>
            </div>
            @for (int i = 0; i < Model.Questions.Count; i++)
            {
                <div class="card-body @(i != 0 ? "border-top" : "")">
                    <h5>
                        @(i + 1). otázka:
                    </h5>
                    <h6>@Model.Questions[i].Question</h6>
                    <div>
                        @Model.Questions[i].Hint
                    </div>
                    <h5>Odpovědi: </h5>
                    @for (int j = 0; j < Model.Questions[i].Answers.Count; j++)
                    {
                        string style = Model.Questions[i].Answers[j].WasCorrect ? Model.Questions[i].Answers[j].IsCorrect ? "color: lime" : null : "color: red";
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" id="@Model.Questions[i].Answers[j].Id" disabled @(Model.Questions[i].Answers[j].IsCorrect ? "checked" : null)>
                            <label class="form-check-label" style="@style" for="@Model.Questions[i].Answers[j].Id">
                                @(j + 1). @Model.Questions[i].Answers[j].Answer
                            </label>
                        </div>
                    }
                </div>
            }
        </div>
        @Ajax.ActionLink("Zpět na všechny články", "IndexTextUser", "Text", null, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { @class = "btn btn-outline-primary" })
    </div>
</div>